Package com.google.android.exoplayer2.source.ads

## Interface AdsLoader.AdViewProvider

- All Known Implementing Classes:
    `PlayerView`, `StyledPlayerView`
  Enclosing interface:
    AdsLoader

      public static interface AdsLoader.AdViewProvider

  Provides information about views for the ad playback UI.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default List<AdsLoader.OverlayInfo>` | `getAdOverlayInfos()` | Returns a list of `AdsLoader.OverlayInfo` instances describing views that are on top of the ad view group, but that are essential for controlling playback and should be excluded from ad viewability measurements by the `AdsLoader` (if it supports this).
    `default View[]` | `getAdOverlayViews()` | Deprecated. Use `getAdOverlayInfos()` instead.
    `ViewGroup` | `getAdViewGroup()` | Returns the `ViewGroup` on top of the player that will show any ad UI, or `null` if playing audio-only ads.

- - ### Method Detail

    - #### getAdViewGroup

          @Nullable
          ViewGroup getAdViewGroup()

      Returns the `ViewGroup` on top of the player that will show any ad UI, or `null` if playing audio-only ads. Any views on top of the returned view group must be described by `OverlayInfos` returned by `getAdOverlayInfos()`, for accurate viewability measurement.

    - #### getAdOverlayViews

          @Deprecated
          default View[] getAdOverlayViews()

      Deprecated.
      Use `getAdOverlayInfos()` instead.

    - #### getAdOverlayInfos

          default List<AdsLoader.OverlayInfo> getAdOverlayInfos()

      Returns a list of `AdsLoader.OverlayInfo` instances describing views that are on top of the ad view group, but that are essential for controlling playback and should be excluded from ad viewability measurements by the `AdsLoader` (if it supports this).

      Each view must be either a fully transparent overlay (for capturing touch events), or a small piece of transient UI that is essential to the user experience of playback (such as a button to pause/resume playback or a transient full-screen or cast button). For more information see the documentation for your ads loader.